package com.xxfc.platform.activity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @author libin
 * @version 1.0
 * @description 奖品、设置
 * @data 2019/12/3 15:21
 */
@Data
@Table(name = "activity_prize")
@ApiModel
public class ActivityPrize implements Serializable {
     private static final long serialVersionUID = 1L;
     @Id
     @GeneratedValue(generator = "JDBC")
     private Integer id;
     @ApiModelProperty("编号")
     @Column(name = "serial_number")
     private Integer serialNumber;
     @Column(name = "name")
     private String name;
     @ApiModelProperty("奖品图片地址")
     @Column(name = "icon_path")
     private String iconPath;
     @ApiModelProperty("每天最多中奖份数")
     @Column(name = "day_max_use")
     private Integer dayMaxUse;
     @Column(name = "total_stock")
     private Integer totalStock;
     @Column(name = "probability")
     private Double probability;
     @ApiModelProperty("1：线上 2：现场")
     @Column(name = "type")
     private Integer type;
     @Column(name = "crt_time")
     private Date crtTime;
     @Column(name = "upd_time")
     private Date updTime;
     @Column(name = "is_entity")
     private Integer isEntity;
     @Column(name = "goods_id")
     private Integer goodsId;
     @Column(name = "is_prize")
     private Integer isPrize;
}
